﻿{% extends "base.html" %}
{% load static %}



{% block title %}Connexion{% endblock %}


{% block content %}
      <!-- =-=-=-=-=-=-= Breadcrumb =-=-=-=-=-=-= -->
      <div class="page-header-area-2 gray">
         <div class="container">
            <div class="row">
               <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                  <div class="small-breadcrumb">
                     <div class=" breadcrumb-link">
                        <ul>
                           <li><a href="index.html">Home Page</a></li>
                           <li><a class="active" href="#">Profil</a></li>
                        </ul>
                     </div>
                     <div class="header-page">
                        <h1>Mon profil</h1>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <!-- =-=-=-=-=-=-= Breadcrumb End =-=-=-=-=-=-= -->
      <!-- =-=-=-=-=-=-= Main Content Area =-=-=-=-=-=-= -->
      <div class="main-content-area clearfix">
         <!-- =-=-=-=-=-=-= Latest Ads =-=-=-=-=-=-= -->
         <section class="section-padding no-top gray">
            <!-- Main Container -->
            <div class="container">
               <!-- Row -->
               <div class="row">
                  <!-- Middle Content Area -->
                  <div class="col-md-12 col-xs-12 col-sm-12">
                     <section class="search-result-item">
                        <a class="image-link" href="#"><img class="image center-block" alt="" src="{% get_media_prefix %}{{cmpt.profile_image }}"> </a>
                        <div class="search-result-item-body">
                           <div class="row">
                              <div class="col-md-5 col-sm-12 col-xs-12">
                                 <h4 class="search-result-item-heading"><a href="#">{{client.nom}}</a></h4>
                                 <p class="info">
                                    <span><a href="profile.html"><i class="fa fa-star "></i>Bon</a></span>
                                    <span><a data-target="#myModal" data-toggle="modal" ><i class="fa fa-edit"></i>Modifier le Profile </a></span>
                                 </p>
                                 <p class="description">Dernière connexion à: {{ cmpt.last|date:'d/m/Y' }}</p>
                                 <span class="label label-success"><i class="fa fa-address-card"></i> {{ client.permis.numero}}</span>
                                 {%if cmpt.vernum == '1' %}
                                 <span class="label label-success"> <i class="fa fa-phone "> </i>verifié</span>
                                 {%else %}
                                    <span class="label label-danger"> <i class="fa fa-phone "> </i>Non verifié</span>
                                 {% endif %}
                                 {%if cmpt.vermail == '1' %}
                                 <span class="label label-success"> <i class="fa fa-envelope "> </i> verifié</span>
                                 {%else %}
                                 <span class="label label-danger"> <i class="fa fa-envelope "> </i> Non verifié</span>
                                 {% endif %}
                              </div>
                              <div class="col-md-7 col-sm-12 col-xs-12">
                                 <div class="row ad-history">
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{user_gain}}</h2>
                                          <small>Revenus</small>
                                       </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{user_pay}}</h2>
                                          <small>Paeiements</small>
                                       </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4 col-xs-12">
                                       <div class="user-stats">
                                          <h2>{{nbre_voiture}}</h2>
                                          <small>Voitures</small>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </section>
                     <div class="dashboard-menu-container">
                        <ul>
                           <li class="active">
                              <a href="/compte/{{ cmpt.id }}">
                                 <div class="menu-name">Mon Profil </div>
                              </a>
                           </li>
                           <li>
                              <a href="/voiture/{{ cmpt.id }}">
                                 <div class="menu-name">Mes Voitures</div>
                              </a>
                           </li>
                           <li>
                              <a href="/location/{{ cmpt.id }}">
                                 <div class="menu-name">Mes locations</div>
                              </a>
                           </li>
                           <li>
                              <a href="/favourite/{{ cmpt.id }}">
                                 <div class="menu-name">Mes favoris</div>
                              </a>
                           </li>
                           <li>
                              <a href="/messages/{{ cmpt.id }}">
                                 <div class="menu-name">Messages</div>
                              </a>
                           </li>
                           <li>
                              <a href="/UserAcces/{{ cmpt.id }}">
                                 <div class="menu-name">Mon compte</div>
                              </a>
                           </li>
                           <li>
                              <a href="/deconnexion/{{ cmpt.id }}">
                                 <div class="menu-name">Deconnexion</div>
                              </a>
                           </li>
                        </ul>
                     </div>
                  </div>
                  <!-- Middle Content Area  End -->
               </div>
               <!-- Row End -->
               <div class="row margin-top-40">
                  <!-- Middle Content Area -->
                  <div class="col-md-12 col-xs-12 col-sm-12">
                     <!-- Row -->
                     <div class="profile-section margin-bottom-20">
                        <div class="profile-tabs">
                           <ul class="nav nav-justified nav-tabs">
                              <li class="active"><a href="#profile" data-toggle="tab">Identité</a></li>
                              <li><a href="#edit" data-toggle="tab">Modifier Profil</a></li>
                              <li><a href="#payment" data-toggle="tab">Detail de paiements</a></li>
                              <li><a href="#settings" data-toggle="tab">Notifications</a></li>
                           </ul>
                           <div class="tab-content">
                              <div class="profile-edit tab-pane fade in active" id="profile">
                                 <h2 class="heading-md">Gérez votre nom, votre ID et vos adresses e-mail.</h2>
                                 <p>Vous trouverez ci-dessous le nom et les adresses e-mail de votre compte.</p>
                                 <dl class="dl-horizontal">
                                    <dt><strong>Votre Nom: </strong></dt>
                                    <dd>
                                       {{client.nom}}
                                    </dd>
                                    <dt><strong>Votre Prénom: </strong></dt>
                                    <dd>
                                       {{client.prenom}}
                                    </dd>
                                    <dt><strong>Date de naissance </strong></dt>
                                    <dd>
                                       {{client.date_naissance|date:'d/m/Y' }}
                                    </dd>
                                    <dt><strong>Adresse mail  </strong></dt>
                                    <dd>
                                       {{client.email}}
                                    </dd>
                                    <dt><strong>Numéro de téléphone </strong></dt>
                                    <dd>
                                       {{client.telephone}}
                                    </dd>
                                    <dt><strong>Pays </strong></dt>
                                    <dd>
                                       {{client.quartier.ville.pays.libelle}}
                                    </dd>
                                    <dt><strong>Ville </strong></dt>
                                    <dd>
                                       {{client.quartier.ville.libelle}}
                                    </dd>
                                    <dt><strong>Quartier</strong></dt>
                                    <dd>
                                       {{client.quartier.libelle}}
                                    </dd>
                                 </dl>
                              </div>
                              <div class="profile-edit tab-pane fade" id="edit">
                                 <h2 class="heading-md">Modifier vos infomations du compte</h2>
                                 <p>votre numéro et adresse mail seront verifiés</p>
                                 <div class="clearfix"></div>
                                 <form action="/majcompte/" method="post" enctype="multipart/form-data" >{% csrf_token %}
                                    <div class="row">
                                       <div class="col-md-6 col-sm-12 col-xs-12">
                                          <label>Titre <span class="color-red">*</span></label>
                                          <select class="form-control" name="titre">
                                             <option value="{{ client.titre }}" selected="selected">{{ client.titre }}</option>
                                             <option value="M">Monsieur</option>
                                             <option value="Mme">Madame</option>
                                             <option value="Mlle">Mademoisele</option>
                                          </select>
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12">
                                          <label>Votre nom </label>
                                          <input type="text" class="form-control margin-bottom-20" name="nom" value="{{ client.nom }}">
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12">
                                          <label>Votre prenom </label>
                                          <input type="text" class="form-control margin-bottom-20" name="prenom" value="{{ client.prenom }}">
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12">
                                          <label>Votre Date de Naissance </label>
                                          <input type="date" class="form-control margin-bottom-20" name="date" value="{{client.date_naissance|date:'Y-m-d'}}">
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12">
                                          <label>Votre Email </label>
                                          <input type="text" class="form-control margin-bottom-20" name="email" value="{{ client.email }}" readonly>
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12">
                                          <label>Numéro de téléphone <span class="color-red">*</span></label>
                                          <input type="text" class="form-control margin-bottom-20" name="phone" value="{{ client.telephone }}">
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12"> 
                                          <label>Pays <span class="color-red">*</span></label>
                                          <select class="form-control" name="pays">
                                             <option value="{{client.quartier.ville.pays_id}}" selected="selected">{{client.quartier.ville.pays.libelle}}</option>
                                             {% for pays in PaysList %}
                                                <option value="{{pays.id}}">{{pays.libelle}}</option>
                                             {% endfor %}
                                          </select>
                                       </div>

                                       <div class="col-md-6 col-sm-12 col-xs-12 margin-bottom-20">
                                          <label>Quartier <span class="color-red">*</span></label>
                                          <select class="form-control" name="quartier">
                                             <option value="{{client.quartier_id}}" selected="selected">{{client.quartier.libelle}}</option>
                                             {% for quartier in QuartierList %}
                                             <option value="{{quartier.id}}">{{quartier.libelle}}</option>
                                          {% endfor %}
                                          </select>
                                       </div>
                                       <div class="col-md-6 col-sm-12 col-xs-12 ">
                                          <label>Ville <span class="color-red">*</span></label>
                                          <select class="form-control" name="ville">
                                             <option value="{{client.quartier.ville_id}}" selected="selected">{{client.quartier.ville.libelle}}</option>
                                             {% for ville in VilleList %}
                                                <option value="{{ville.id}}">{{ville.libelle}}</option>
                                             {% endfor %}
                                          </select>
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12"> 
                                          <label>Type de permis <span class="color-red">*</span></label>
                                          <select class="form-control" name="typePermis">
                                             <option value="{{ client.permis.type}}" selected="selected">{{ client.permis.type}}</option>
                                             <option value="A">A</option>
                                             <option value="B">B</option>
                                             <option value="C">C</option>
                                             <option value="D">D</option>
                                          </select>  
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12"> 
                                          <label>Numéro du permis <span class="color-red">*</span></label>
                                          <input type="text" class="form-control " name="numPermis" value="{{ client.permis.numero}}">
                                       </div>
                                       <div class="form-group">
                                          <div class="col-md-6">
                                             <label>Fichier scanné <span class="color-red">*</span></label>
                                             <div class="input-group">
                                                <span class="input-group-btn">
                                                <span class="btn btn-default btn-file">
                                                Permis… <input type="file" id="imgInp" name="imgInp">
                                                </span>
                                                </span>
                                                <input type="text" class="form-control" name="fileUploaded" value="{{client.permis.fichier}}" readonly>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="col-md-6 col-sm-6 col-xs-12"> 
                                       
                                          <label>Statut <span class="color-red">*</span></label>
                                          <select class="form-control" name="status" id="dbType">
                                             <option value="{{client.statut}}" selected="selected">{{client.statut}}</option>
                                             <option value="salarie">Salarié</option>
                                             <option value="etudiant">Etudiant</option>

                                          </select>
                                       </div>
                                       <div class="form-group" id="otherType" style="display:none;">
                                          <div class="col-md-6">
                                             <label>Attestation d'emploi <span class="color-red">*</span></label>
                                             <div class="input-group">
                                                <span class="input-group-btn">
                                                <span class="btn btn-default btn-file">
                                                Attestation <input type="file"  name="imgEmp">
                                                </span>
                                                </span>
                                                <input type="text" class="form-control" name="AttEmploi" value="{{doc_emp}}" readonly>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="form-group" id="schoolType" style="display:none;">
                                          <div class="col-md-6">
                                             <label>Attestation de scolarite <span class="color-red">*</span></label>
                                             <div class="input-group">
                                                <span class="input-group-btn">
                                                <span class="btn btn-default btn-file">
                                                Attestation <input type="file"  name="imgEcole">
                                                </span>
                                                </span>
                                                <input type="text" class="form-control" name="AttEcole" value="{{doc_etd}}" readonly>
                                             </div>
                                          </div>
                                       </div>
                                       
                                    </div>
                                    <div class="col-md-6 col-sm-6 col-xs-12" id="entity" style="display:none;" >
                                       <label>Etablissement <span class="color-red">*</span></label>
                                       <input type="text" class="form-control " name="entite" value="{{ client.entite}}">
                                    </div>
                                    <div class="clearfix margin-top-20"></div>
                                    <div class="row">
                                       <div class="col-md-8 col-sm-8 col-xs-12">
                                          <div class="form-group">
                                             <div class="skin-minimal">
                                                <ul class="list">
                                                   <li>
                                                      <input  type="checkbox" id="minimal-checkbox-7">
                                                      <label for="minimal-checkbox-7">j'accepte <a href="#"> les conditions de services</a></label>
                                                   </li>
                                                </ul>
                                             </div>
                                          </div>
                                       </div>
                                       <div class="col-md-4 col-sm-4 col-xs-12 text-right">
                                          <button type="submit" class="btn btn-theme btn-sm">Mettre à jour</button>
                                       </div>
                                    </div>
                                 </form>
                              </div>
                              <div class="profile-edit tab-pane fade" id="payment">
                                 <h2 class="heading-md">Gérez vos paramètres</h2>
                                 <p>Voici les options de paiement pour votre compte.</p>
                                 <br>
                                 <form action="#" id="sky-form" class="sky-form" novalidate>
                                    <!--Checkout-Form-->
                                    <dl class="dl-horizontal">
                                       <dt><strong>Plan actuel</strong></dt>
                                       <dd>
                                          Premium
                                       </dd>
                                       <dt><strong>Date d'expiration</strong></dt>
                                       <dd>
                                          2nd January 2017
                                       </dd>
                                    </dl>
                                    <div class="row">
                                       <div class="col-sm-12 col-md-6 margin-bottom-20">
                                          <label>Select Plan You Want To Change<span class="color-red">*</span></label>
                                          <select class="form-control">
                                             <option value="0">Gratuit</option>
                                             <option value="1">Premium</option>
                                             <option value="2">Avancé</option>
                                          </select>
                                       </div>
                                    </div>
                                    <button class="btn btn-sm btn-default" type="button">Annuler</button>
                                    <button type="submit" class="btn btn-sm btn-theme">Enregistrer</button>
                                    <!--End Checkout-Form-->
                                 </form>
                              </div>
                              <div class="profile-edit tab-pane fade" id="settings">
                                 <h2 class="heading-md">Gérez vos notifications..</h2>
                                 <p>Voici les notifications que vous pouvez gérer.</p>
                                 <br>
                                 <form action="/savenotif/" method="post" enctype="multipart/form-data" >{% csrf_token %}
                                    <div class="skin-minimal">
                                       <ul class="list">
                                          {% for notifUser in notification %}
                                          <li>
                                             <input  type="checkbox" id="minimal-checkbox-1" value="{{notifUser.notification.id}}" name="notif" checked="checked">
                                             <label for="minimal-checkbox-1">{{notifUser.notification.titre}}</label>
                                          </li>
                                          {% endfor %}
                                          {% for notif in listNotif %}
                                          <li>
                                             <input  type="checkbox" id="minimal-checkbox-1" value="{{notif.id}}" name="notif">
                                             <label for="minimal-checkbox-1">{{notif.titre}}</label>
                                          </li>
                                          {% endfor %}
                  
                                       </ul>
                                    </div>
                                    <div class="button-group margin-top-20">
                                       <button class="btn btn-sm btn-default" type="reset">Reinitialiser</button>
                                       <button type="submit" class="btn btn-sm btn-theme">Enregistrer</button>
                                    </div>
                                 </form>
                              </div>
                           </div>
                        </div>
                     </div>
                     <!-- Row End -->
                  </div>
                  <!-- Middle Content Area  End -->
               </div>
            </div>
            <!-- Main Container End -->
         </section>
         <!-- =-=-=-=-=-=-= Ads Archives End =-=-=-=-=-=-= -->
         <div class="custom-modal">
            <div id="myModal" class="modal fade" role="dialog">
               <div class="modal-dialog">
                  <!-- Modal content-->
                  <div class="modal-content">
                     <div class="modal-header rte">
                        <h2 class="modal-title">Mot de passe oublié?</h2>
                     </div>
                     <form action="/majphoto/{{ client.id }}" method="post" enctype="multipart/form-data" >{% csrf_token %}
                        <div class="modal-body">
                           <div class="row margin-bottom-20">
                              <div class="form-group">
                                 <div class="col-md-9">
                                    <div class="input-group">
                                       <span class="input-group-btn">
                                       <span class="btn btn-default btn-file">
                                       Charger... <input type="file" id="imgInp" name="photo">
                                       </span>
                                       </span>
                                       <input type="text" class="form-control" name="photoUploaded" value="{{cmpt.profile_image}}" readonly>
                                    </div>
                                 </div>
                                 <div class="col-md-3">
                                    <img id="img-upload" class="img-responsive" src="{% get_media_prefix %}{{cmpt.profile_image }}"  alt="" />
                                 </div>
                              </div>
                           </div>
                        </div>
                        <div class="modal-footer">
                           <button type="submit" class="btn btn-success">Changer la photo</button>
                           <button type="button" class="btn btn-danger" data-dismiss="modal">Annuler</button>
                        </div>
                     </form>
                  </div>
               </div>
            </div>
         </div>

{% block scripts %}
<script type="text/javascript">
$('#dbType').on('change',function(){
    if( $(this).val()==="salarie"){
    $("#otherType").show()
    $("#entity").show()
    $("#schoolType").hide()
    }
    else if ( $(this).val()==="etudiant") {
    $("#otherType").hide()
    $("#entity").show()
    $("#schoolType").show()

    }
    else{
      $("#schoolType").hide()
      $("#entity").hide()
      $("#otherType").hide()
    }
});
</script>
{% endblock %} 
{% endblock %}                       
